package cn.ezhizao.project.business.ticketReport.service.impl;

import cn.ezhizao.project.business.keepAccounts.domain.BizFinancialKeepAccount;
import cn.ezhizao.project.business.ticketReport.domain.BizFinancialTicketReportDetail;
import cn.ezhizao.project.business.ticketReport.mapper.BizFinancialTicketReportDetailMapper;
import cn.ezhizao.project.business.ticketReport.service.IBizFinancialTicketReportDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class BizFinancialTicketReportDetailServiceImpl extends ServiceImpl<BizFinancialTicketReportDetailMapper, BizFinancialTicketReportDetail> implements IBizFinancialTicketReportDetailService {
    @Resource
    BizFinancialTicketReportDetailMapper financialTicketReportDetailDao;

    @Override
    public List<BizFinancialTicketReportDetail> getList(BizFinancialTicketReportDetail conditions) {
        return financialTicketReportDetailDao.getList(conditions);
    }

    @Override
    public Integer getTotal(Map<String, Object> conditions) {
        return financialTicketReportDetailDao.getTotal(conditions);
    }

    @Override
    public List<BizFinancialKeepAccount> getMainList(BizFinancialKeepAccount conditions) {
        return financialTicketReportDetailDao.getMainList(conditions);
    }

    @Override
    public Integer getMainTotal(Map<String, Object> conditions) {
        return financialTicketReportDetailDao.getMainTotal(conditions);
    }
}